### Hierarchy

- Event
  - ConnectionEvent
  - PublisherSpeakingEvent
  - RecordingEvent
  - SessionDisconnectedEvent
  - SignalEvent
  - StreamEvent
  - VideoElementEvent

## Index

### Properties

- cancelable
- target
- type

### Methods

- callDefaultBehaviour
- isDefaultPrevented
- preventDefault

## Properties

### cancelable

cancelable: boolean

- Defined in OpenViduInternal/Events/Event.ts:25

Whether the event has a default behaviour that may be prevented by calling Event.preventDefault

### target

target: Session | Subscriber | Publisher

- Defined in OpenViduInternal/Events/Event.ts:30

The object that dispatched the event

### type

type: string

- Defined in OpenViduInternal/Events/Event.ts:35

The type of event. This is the same string you pass as first parameter when calling method `on()` of any object implementing EventDispatcher interface

## Methods

### Protected Abstract callDefaultBehaviour

- callDefaultBehaviour(): any

- - Defined in OpenViduInternal/Events/Event.ts:68

  #### Returns any

### isDefaultPrevented

- isDefaultPrevented(): boolean

- - Defined in OpenViduInternal/Events/Event.ts:51

  Whether the default beahivour of the event has been prevented or not. Call Event.preventDefault to prevent it

  #### Returns boolean

### preventDefault

- preventDefault(): void

- - Defined in OpenViduInternal/Events/Event.ts:62

  Prevents the default behaviour of the event. The following events have a default behaviour:

  - `sessionDisconnected`: automatically unsubscribes the leaving participant from every Subscriber object of the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and also deletes the HTML video element associated to it.
  - `streamDestroyed`: if dispatched by a Publisher (you have unpublished), automatically stops all media tracks and deletes the HTML video element associated to the stream. If dispatched by Session, (other user has unpublished), automatically unsubscribes the proper Subscriber object from the session (this includes closing the WebRTCPeer connection and disposing all MediaStreamTracks) and deletes the HTML video element associated to it.

  #### Returns void

Generated using TypeDoc